@font-face {
  font-family: 'StudioFeixenMono';
  src: url('fonts/StudioFeixenMono-Bold.eot');
  src: url('fonts/StudioFeixenMono-Bold.eot?#iefix') format('embedded-opentype'),
       url('fonts/StudioFeixenMono-Bold.woff2') format('woff2'),
       url('fonts/StudioFeixenMono-Bold.woff') format('woff'),
       url('fonts/StudioFeixenMono-Bold.ttf') format('truetype');
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family: 'StudioFeixenMono';
  src: url('fonts/StudioFeixenMono-Book.eot');
  src: url('fonts/StudioFeixenMono-Book.eot?#iefix') format('embedded-opentype'),
       url('fonts/StudioFeixenMono-Book.woff2') format('woff2'),
       url('fonts/StudioFeixenMono-Book.woff') format('woff'),
       url('fonts/StudioFeixenMono-Book.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'StudioFeixenMono';
  src: url('fonts/StudioFeixenMono-Light.eot');
  src: url('fonts/StudioFeixenMono-Light.eot?#iefix') format('embedded-opentype'),
       url('fonts/StudioFeixenMono-Light.woff2') format('woff2'),
       url('fonts/StudioFeixenMono-Light.woff') format('woff'),
       url('fonts/StudioFeixenMono-Light.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: 'StudioFeixenMono';
  src: url('fonts/StudioFeixenMono-Medium.eot');
  src: url('fonts/StudioFeixenMono-Medium.eot?#iefix') format('embedded-opentype'),
       url('fonts/StudioFeixenMono-Medium.woff2') format('woff2'),
       url('fonts/StudioFeixenMono-Medium.woff') format('woff'),
       url('fonts/StudioFeixenMono-Medium.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: 'StudioFeixenMono';
  src: url('fonts/StudioFeixenMono-Regular.eot');
  src: url('fonts/StudioFeixenMono-Regular.eot?#iefix') format('embedded-opentype'),
       url('fonts/StudioFeixenMono-Regular.woff2') format('woff2'),
       url('fonts/StudioFeixenMono-Regular.woff') format('woff'),
       url('fonts/StudioFeixenMono-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'StudioFeixenMono';
  src: url('fonts/StudioFeixenMono-Semibold.eot');
  src: url('fonts/StudioFeixenMono-Semibold.eot?#iefix') format('embedded-opentype'),
       url('fonts/StudioFeixenMono-Semibold.woff2') format('woff2'),
       url('fonts/StudioFeixenMono-Semibold.woff') format('woff'),
       url('fonts/StudioFeixenMono-Semibold.ttf') format('truetype');
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: 'StudioFeixenMono';
  src: url('fonts/StudioFeixenMono-Ultralight.eot');
  src: url('fonts/StudioFeixenMono-Ultralight.eot?#iefix') format('embedded-opentype'),
       url('fonts/StudioFeixenMono-Ultralight.woff2') format('woff2'),
       url('fonts/StudioFeixenMono-Ultralight.woff') format('woff'),
       url('fonts/StudioFeixenMono-Ultralight.ttf') format('truetype');
  font-weight: 200;
  font-style: normal;
}

::-webkit-scrollbar {
  display: none;
}

html, body, main, div, header, aside, article, section, footer, p, a, ul, li, form, input, textarea, fieldset {
  font-family: StudioFeixenMono;
  color: #fff;
  font-size: inherit;
  font-stretch: inherit;
  font-style: inherit;
  font-variant: inherit;
  font-weight: inherit;
  line-height: inherit;
  font-kerning: normal;
  letter-spacing: 0px!important;
}

:root {
  --font-body-family: StudioFeixenMono, sans-serif;
  --font-body-style: normal;
  --font-body-weight: 400;
  --font-heading-family: StudioFeixenMono, sans-serif;
  --font-heading-style: normal;
  --font-heading-weight: 400;
  --font-body-scale: 1;
  --font-heading-scale: 1;
  --color-base-text: 255, 255, 255;
  --color-base-background-1: 4, 4, 4;
  --color-base-background-2: 255, 255, 255;
  --color-base-button: 255, 255, 255;
  --color-background-button: 255, 255, 255;
  --color-base-accent-1: 121, 37, 98;
  --color-base-accent-2: 76, 175, 1;
  --small-padding: 1rem;
  --medium-padding: 2rem;
  --large-padding: 3rem;
  --page-width: 97.5vw;
  --page-width-margin: 1.25vw;
}

body {
  margin: 0;
  font-family: studiofeixen !important;
  letter-spacing: 0px!important;
  word-spacing: normal;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

h1, h2, h3, h4, small {
  padding: 10px 0px 10px 0px;
  margin: 0px;
  font-weight: normal;
  word-spacing: 0em;
}

h2 {
  font-size: 1.15rem;
}

h3 {
  font-size: 1.5rem;
}

hr {
  border: 1px solid black;
  color: black;
}

canvas {
  display: block;
}

.footer {
  display: flex;
  flex-direction: column;
}

.uppercase {
  text-transform: uppercase;
}

p.uppercase {
  text-transform: uppercase;
  max-width: 300px;
  text-align: center;
  font-weight: 500;
}

.modal-open {
  /* background-blend-mode: lighten; */

  /* background: rgba(255, 255, 255, 0.06);
  background-blend-mode: color-dodge;
  background: rgba(94, 94, 94, 0.18);
  background-blend-mode: color-dodge;
  background: radial-gradient(101.06% 100% at 50% 100%, rgba(94, 94, 94, 0.14) 0%, rgba(94, 94, 94, 0) 73.85%); */
  background: radial-gradient(100% 100% at 50% 100%, rgba(255, 255, 255, 0.4) 0%, rgba(255, 255, 255, 0.2) 55.59%);
  border-radius: 10px;
  margin-bottom: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1.4rem 5rem;
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
  border: 1px solid white;
  transition: background 0.3s ease-in-out;
}

.modal-open:hover, .modal-open:active {
  background: white!important;
  color: black;
  transition: background 0.3s ease-in-out;
}

main-modal-component #navButton {
  position: absolute;
  top: 20px;
  right: 18px;
}

@media screen and (max-width: 749px) {
  .modal-open {
    padding: 1.4rem 2rem;
    font-size: .6rem;
    white-space: nowrap;
    position: relative;
  }
  .modal-open:not([data-modal-trigger="signup"]) {
    top: 14vh;
    width: 100%;
    max-width: 309px;
  }
  button[data-modal-trigger="signup"] {
    top: 2rem;
  }

  main-modal-component #navButton {
    position: absolute;
    top: 12px;
    right: 8px;
  }
}

.modal-open > svg {
  transform: scale(0.65);
}

#copyright > div {
  font-size: 0.7rem;
}

@media screen and (max-width: 749px) {
  #copyright > div {
    font-size: 0.6rem;
    line-height: 1rem;
    display: inline-block;
    max-width: 85%;
}
}

html, body {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
}

@-webkit-keyframes slideIn {
  0% {
    right: unset; left: 200%;
  }
  100% {
    right: unset; left: 0;
  }
}
@keyframes slideIn {
  0% {
    right: unset; left: 200%;
  }
  100% {
    right: unset; left: 0;
  }
}

@-webkit-keyframes slideInRight {
  0% {
    left: unset; right: 200%;
  }
  100% {
    left: unset; right: 0;
  }
}
@keyframes slideInRight {
  0% {
    left: unset; right: 200%;
  }
  100% {
    left: unset; right: 0;
  }
}

@-webkit-keyframes slideDown {
  0% {
    -webkit-transform: translateY(-1518px);
    -ms-transform: translateY(-1518px);
    transform: translateY(-1518px);
  }
  100% {
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
  }
}
@keyframes slideDown {
  0% {
    -webkit-transform: translateY(-1518px);
    -ms-transform: translateY(-1518px);
    transform: translateY(-1518px);
  }
  100% {
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
  }
}

@-webkit-keyframes slideUp {
  0% {
    -webkit-transform: translateY(100vh);
    -ms-transform: translateY(100vh);
    transform: translateY(100vh);
  }
  100% {
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
  }
}
@keyframes slideUp {
  0% {
    -webkit-transform: translateY(100vh);
    -ms-transform: translateY(100vh);
    transform: translateY(100vh);
  }
  100% {
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
  }
}

@-webkit-keyframes pop {
  0% {
    opacity: 0; -webkit-transform: scale(0.8);
    -ms-transform: scale(0.8);
    transform: scale(0.8);
  }
  100% {
    opacity: 1; -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
  }
}
@keyframes pop {
  0% {
    opacity: 0; -webkit-transform: scale(0.8);
    -ms-transform: scale(0.8);
    transform: scale(0.8);
  }
  100% {
    opacity: 1; -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
  }
}

input, textarea {
  background-color: transparent;
  border: 1px solid white;
  color: white!important;
  margin-bottom: 1rem;
  font-family: StudioFeixenMono;
  font-weight: 400;
  padding: 10px;
  width: 100%;
}

::placeholder {
  color: rgba(255, 255, 255, 0.85);
  font-family: StudioFeixenMono;
  font-weight: 400;
}

body {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background-size: cover;
  background-repeat: no-repeat;
  background-color: black;
  font-size: 1rem;
}

@media screen and ( max-width: 749px ) {
  body {
    background-size: auto 140vh;
  }
}

.container {
  position: relative;
  background-color: transparent;
  transition: transform 1.5s ease-in-out;
}

.modal-wrapper {
  position: fixed;
  display: flex;
  overflow: hidden;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: fit-content;
  min-width: 380px;
  top: 0;
  left: 50%;
  max-width: 380px;
  transform: translateX(-50%);
  z-index: -1;
  opacity: 0;
  transition: all 0.3s ease-in-out 0.3s, opacity 0.3s ease-in-out 0s;
  background-color: transparent;
}

@media screen and (max-width: 749px) {
  .modal-wrapper {
    width: 100vw;
    height: 100dvh;
    top: 0;
    left: 0;
    z-index: -1;
    opacity: 0;
    background-color: transparent;
  }
}

.modal-wrapper.is-open {
  z-index: 12;
  opacity: 1;
  top: calc(50% - 279px);
  transform: translateX(-50%);
  transition: opacity 0.3s ease-in-out 0.2s, width 0.1s ease-in-out 0s, height 0.1s ease-in-out 0s;
}

@media screen and (max-width: 749px) {
  .modal-wrapper.is-open {
    transform: translateX(0);
    min-width: 100vw;
    height: 100dvh;
    top: 0;
    left: 0;
    background-color: transparent;
  }
}

.modal-body {
  width: 100%;
  max-width: 680px;
  max-height: fit-content;
  height: fit-content;
  margin: 0;
  -webkit-animation: pop 0.5s ease;
  animation: pop 0.5s ease;z-index: 12;
  width: 100%;
  opacity: 1;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  transition: opacity 0.3s ease-in-out 0.2s, width 0.1s ease-in-out 0s, height 0.1s ease-in-out 0s;
}

body > [data-modal-trigger="terms"],
body > [data-modal-trigger="privacy"] {
  background-color: rgba(50,50,50, 0.5);
  position: fixed;
  min-height: 100vh;
  height: 100vh;
  min-width: 100vw;
  width: 100vw;
  z-index: -2;
  opacity: 0;
  overflow: scroll;
}

@media screen and (min-width: 500px) {
  body [data-modal-trigger="terms"] .modal-container,
  body [data-modal-trigger="privacy"] .modal-container {
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
  }
}

  body [data-modal-trigger="terms"] .modal-container,
  body [data-modal-trigger="privacy"] .modal-container {


  }

body > [data-modal-trigger="terms"] h3,
body > [data-modal-trigger="privacy"] h3 {
  font-size: 1.1rem;
  font-weight: 500;
  text-align: left;
  margin-bottom: 1rem;
}

body > [data-modal-trigger="terms"] h3,
body > [data-modal-trigger="privacy"] h3 {
  font-size: 0.9rem;
  font-weight: 500;
  text-align: left;
  margin-bottom: 1rem;
}

body > [data-modal-trigger="terms"] p,
body > [data-modal-trigger="privacy"] p {
  font-size: 0.9rem;
  font-weight: 500;
  text-align: left;
  margin-bottom: 1rem;
  color: #9e9b9d;
}

body > [data-modal-trigger="terms"].is-open,
body > [data-modal-trigger="privacy"].is-open {
  background-color: rgba(50,50,50, 0.5);
  min-height: 100vh;
  height: 100vh;
  min-width: 100vw;
  width: 100vw;
  z-index: 14;
  opacity: 1;
  top: 0;
    display: flex;
    align-items: start;
}

.modal-body.terms #navButton,
.modal-body.privacy #navButton {
  position: absolute;
  top: 20px;
  right: 20px;
}
.modal-body.terms #navButton > div,
.modal-body.privacy #navButton > div {
  top: 0!important;
}

.modal-body.terms,
.modal-body.privacy {
  min-height: 100vh;
  height: fit-content;
  max-width: 100vw;
  width: 100vw;
  background: transparent;
  justify-content: flex-start;
  overflow: scroll;
}

@media screen and (max-width: 768px) {
  .modal-body {
    max-width: 100vw;
    max-height: 100vh;
    height: 100%;
    width: 100%;
    padding: 10px;
    border-radius: 0!important;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border: 0px solid rgba(255, 255, 255, 0.3)!important;
  }
}

div.close {
  cursor: pointer;
  text-align: center;
  position: relative;
  z-index: 2;
}

@media screen and (max-width: 749px) {
  div.close {

  }
}

.modal-wrapper {
  /* background-color: rgba(0, 0, 0, 0.1); */
}

header.top {
  opacity: 1;
  transition: opacity 0.6s ease-in-out;
}
.modal-body {
  position: relative;
  background-color: rgba(128, 128, 128, 0.3);
  -webkit-backdrop-filter: blur(10px);
  backdrop-filter: blur(10px);
  -webkit-backface-visibility: visible!important;
  backface-visibility: visible!important;
  padding: 1.5rem;
  z-index: 1;
  overflow: hidden;
}

@media screen and (min-width: 769px) {
  .modal-body {
    border-radius: 30px!important;
  }
}

main-modal-component .modal-body {
  border: 1px solid rgba(255, 255, 255, 0.3);
}

input, textarea {
  border: 1px solid rgba(113 119 144 / 25%);
}

@media screen and ( min-width: 749px ) {
  input[type="radio"]:checked + .subTab {
    height: 8rem;
    top: 3.5rem;
    padding: 0rem 1.5rem 1rem;
  }

  #regForm .subTabss {
    display: flex;
    position: relative;
    column-gap: 2rem;
  }

  #regForm .subTab {
    position: absolute;
    width: 100%;
    left: 0;
  }
}

input.invalid {
  border-color: red;
}

.tab {
  display: none;
}

@media screen and ( min-width: 749px ) {
  .tab {
    min-height: 15rem;
    min-width: 35rem;
  }
}

.lastTab + #navigations #submitBtn {
  display: none;
}

.lastTab.block + #navigations #submitBtn {
  display: block;
}

.lastTab.block + #navigations #nextBtn, .lastTab.block + #navigations #prevBtn {
  display: none;
}

button {
  color: white;
  border: 1px solid rgba(113 119 144 / 25%);
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 0px!important;
  font-size: 14px!important;
  font-family: 'StudioFeixenMono';
}

button:hover {
  background: radial-gradient(101.06% 100% at 50% 100%, rgba(94, 94, 94, 0.14) 0%, rgba(94, 94, 94, 0) 73.85%), radial-gradient(100% 100% at 50% 100%, rgba(255, 255, 255, 0.07) 0%, rgba(255, 255, 255, 0) 55.59%), linear-gradient(0deg, rgba(94, 94, 94, 0.18), rgba(94, 94, 94, 0.18)), rgba(255, 255, 255, 0.06) !important;

  background-blend-mode: color-dodge, lighten, color-dodge, lighten;
}

button:active {
  background:black!important;
}

.impossible {
  position: absolute;
  opacity: 0;
  height: 1px;
  width: 1px;
  margin: 0;
  padding: 0;
}